Skip to main content
POST
/
media-bridge
/
2026-03
/
{appId}
/
settings
/
video-association-definition
cURL
curl --request POST \
  --url https://api.hubapi.com/media-bridge/2026-03/{appId}/settings/video-association-definition \
  --header 'Authorization: Bearer <token>'
{
  "fromObjectTypeId": "<string>",
  "id": "<string>",
  "toObjectTypeId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

appId
integer<int32>
required

Response

successful operation

The definition of an association

fromObjectTypeId
string
required

The ID of the source object type (e.g., 0-1 for contacts).

id
string
required

The unique ID of the associated object (e.g., a contact ID).

toObjectTypeId
string
required

The ID of the destination object type (e.g., 0-3 for deals).

createdAt
string<date-time>

The timestamp when the association was created, in ISO 8601 format.

name
string

For labeled association types, the internal name of the association.

updatedAt
string<date-time>

The timestamp when the last update was made to an association, in ISO 8601 format.

Last modified on May 15, 2026